<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <SignAssembly>False</SignAssembly>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'" />

  <Import Project="..\NIDAQmxConst\NIDAQmxConst.projitems" Label="Shared" />

  <Import Project="..\NIDAQmx\NIDAQmx.projitems" Label="Shared" />

  <Import Project="..\NativeLoader\NativeLoader.projitems" Label="Shared" />

  <Import Project="..\NModbus\NModbus.projitems" Label="Shared" />

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
  </ItemGroup>

</Project>
